@charset "utf-8";

/* ==================================================
Common CSS
================================================== */

@media(min-width:1000px){

/*STYLE*/
.sp {
    display:none;
}

.cts {
    width:1000px;
}

.titles {
    text-align:center;
}

.titles h2 {
    font-size:300%;
    font-weight:bold;
    line-height:135%;
}

.titles .icon {
    width:60px;
    margin:0 auto 10px;
}

.titles .copy {
    font-size:110%;
    font-weight:600;
}



/*HEADER*/
header {
    width:100%;
    height:100px;
    display:flex;
    justify-content:center;
    align-items:center;
    background:rgba(255,255,255,0.8);
    position:fixed;
    top:0;
    left:0;
    z-index:999;
}

header h1 {
    width:95px;
    margin-left:20px;
}



/*GROBAL*/
#grobal {
}

#grobal .grobal_nav {
    display:flex;
    justify-content:center;
    align-items:center;
}

#grobal .grobal_nav.show {
transform:translate(0,0);
}

#grobal .grobal_nav nav {
}

#grobal .grobal_nav nav a {
    display:block;
    padding:10px 80px;
}

#grobal .grobal_nav nav a .en {
    font-size:150%;
    font-weight:900;
    line-height:100%;
}



/*MV*/
#mv {
    width:100%;
    height:100vh;
    position:relative;
}

#mv .logo {
    width:50vw;
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
}



/*ABOUT*/
#about {
    height:100vh;
    padding:100px 0;
}

#about .titles h2 {
    font-size:250%;
}

#about .profile {
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:50px 0;    
}

#about .profile .photo {
    width:25vw;   
}

#about .profile .photo img {
    border-radius:100vw;
}

#about .profile .profiles {
    width:600px;
    padding:50px;
}

#about .profile .profiles .names {
}

#about .profile .profiles .names .name {
    font-size:200%;
    font-weight:900;
}

#about .profile .profiles .names .en {
    font-size:125%;
    font-weight:900;
}

#about .profile .profiles .tx {
}



/*SKILL*/
#skill {
    height:100vh;
    padding:100px 0;
}

#skill .titles h2 {
    font-size:250%;
}

#skill .details {
    display:flex;
    justify-content:space-between;
}

#skill .details .detail {
    width:25%;
    padding:30px;
}

#skill .details .detail .illust {
    width:120px;
    margin:0 auto 30px;
}

#skill .details .detail .item {
    font-size:150%;
    font-weight:bold;
    text-align:center;
    padding-bottom:25px;
}

#skill .details .detail .messages {
}

#skill .details .detail .messages .message {
    margin-bottom:30px;
}

#skill .details .detail .messages .message:last-child {
    margin-bottom:0;
}

#skill .details .detail .messages .message .ex {
    font-weight:500;
}

#skill .levels {
    display:flex;
    justify-content:space-between;  
}

#skill .levels .level {
    display:flex;
    flex-direction:column;
    align-items:center;
    padding:15px;
}

#skill .levels .level p {
    font-size:150%;
    font-weight:bold;
    display:flex;
    align-items:center;
    margin-bottom:10px;
}

#skill .levels .level p img {
    height:5vh;
    margin-right:10px;
}

#skill .levels .level .meter {
}



/*SPECIALTY*/
#specialty {
    width:100%;
    height:600px;
    position:relative;
}

#specialty .specialty_slider {
    width:100%;
    height:100%;
}

#specialty .specialty {
    width:100%;
    height:100%;
}

#specialty .specialty1 {
    background:url(../img/specialty_1.jpg) center;
    background-size:cover;
}

#specialty .specialty2 {
    background:url(../img/specialty_2.jpg) center;
    background-size:cover;
}

#specialty .specialty3 {
    background:url(../img/specialty_3.jpg) center;
    background-size:cover;
}

#specialty .cts {
    width:100%;
    height:100%;
    position:absolute;
    top:0;
    left:0;
    z-index:999;
    display:flex;
    justify-content:space-between;
    align-items:center;
}

#specialty .copies {
}

#specialty .copies h2 {
    font-size:200%;
    font-weight:700;
    line-height:100%;
    color:#fff;
    margin:15px 0;
}

#specialty .copies h2 .copy {
    padding:10px 10px;
    position:relative;
    display:inline-block;
}

#specialty .copies h2 .line {
    content:"";
    animation:1s opencopy ease forwards;
    -webkit-animation:1s opencopy ease forwards;
    position:absolute;
    background:rgba(0,0,0,0.95);
    width:100%;
    height:100%;
    top:0;
    left:0;
    z-index:-1;
}



/*SCENE*/
#scene {  
    padding:30px 0;
}



/*WORKS*/
#works {
    padding:100px 0;
}

#works .titles h2 {
    font-size:250%;
}

#works .cases {
}

#works .cases .case {
    margin:50px 0 100px;
    display:flex;
    justify-content:space-between;
}

#works .cases .case:nth-child(even) {
    flex-direction:row-reverse;
}

#works .cases .case:last-child {
    margin-bottom:0;
}

#works .cases .case .photo {
    width:500px;
    height:350px;
}

#works .cases .case .photo1 {
    background:url(../img/case_1.jpg) center;
    background-size:cover;
}

#works .cases .case .photo2 {
    background:url(../img/case_2d.jpg) center;
    background-size:cover;
}

#works .cases .case .photo3 {
    background:url(../img/case_3.jpg) center;
    background-size:cover;
}

#works .cases .case .detail {
    width:450px;
}

#works .cases .case .detail .category_g {
    font-size:150%;
    font-weight:700;
    line-height:100%;
    color:#fff;
    background:#3dc47e;
    padding:5px 15px 7px;
    display:inline-block;
    border-radius:10vw;
    margin-bottom:10px;
}

#works .cases .case .detail .category_o {
    font-size:150%;
    font-weight:700;
    line-height:100%;
    color:#fff;
    background:#f36f21;
    padding:5px 15px 7px;
    display:inline-block;
    border-radius:10vw;
    margin-bottom:10px;
}

#works .cases .case .detail .category_r {
    font-size:150%;
    font-weight:700;
    line-height:100%;
    color:#fff;
    background:#e7352b;
    padding:5px 15px 7px;
    display:inline-block;
    border-radius:10vw;
    margin-bottom:10px;
}

#works .cases .case .detail h3 {
    font-size:180%;
    font-weight:900;
    line-height:135%;
    padding-bottom:10px;
}

#works .cases .case .detail h3 .en {
    font-size:70%;
    font-weight:300;
    line-height:135%;
    color:#c1c1c1;
    padding-left:5px;
}

#works .cases .case .detail .ex {
}

#works .cases .case .detail .bannerarchives {
    margin-top:15px;
}

#works .cases .case .detail .bannerarchives a {
    font-weight:600;
    border:#f36f21 1px solid;
    background:#fff;
    color:#f36f21;
    padding:5px 15px;
    border-radius:10vw;
    transition: all 0.3s ease;
    display: inline-block;
}

#works .cases .case .detail .bannerarchives a:hover {
    background: #f36f21; /* 背景をオレンジに */
    color: #fff;          /* 文字を白に */
    text-decoration: none; /* 下線を消す（必要であれば） */
}



/*BANNER*/
#banner {
    padding:100px 0 50px;
}

#banner .titles h2 {
    font-size:250%;
}

#banner .details {
    display:grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap:30px;
    padding-top:30px;
}

#banner .details .detail {
    aspect-ratio:1 / 1;
    display:flex;
    justify-content:center;
    align-items:center;
    overflow:hidden;
}

#banner .details .detail .banner {
    max-width:100%;
    max-height:100%;
    object-fit:contain; 
    display:block;
}

#banner .attention {
    text-align:center;
    font-size:80%;
    color:#c1c1c1;
    margin-top:25px;
}

#banner .backbtn {
    margin-top:50px;
    text-align:center;
}

#banner .backbtn .btn {
    display:inline-block;
}

#banner .backbtn .btn a {
    display:flex;
    justify-content:center;
    align-items:center;
    border:#000 1px solid;
    padding:10px 20px;
}

#banner .backbtn .btn a p {
    font-weight:500;
    color:#000;
    padding-left:10px;
}

#banner .backbtn .btn a .arrow {
    width:10px;
    height:10px;
    border-top:#000 1px solid;
    border-right:#000 1px solid;
    transform:rotate(-135deg);
}

/* クリックできることを伝える */
.expandable {
  cursor: zoom-in;
  transition: opacity 0.3s;
}
.expandable:hover {
  opacity: 0.8;
}

/* モーダル背景 */
.modal {
  display: none; /* 最初は隠す */
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.8); /* 黒の半透明 */
  justify-content: center;
  align-items: center;
}

/* モーダル内の画像 */
.modal-content {
  max-width: 90%;
  max-height: 90%;
  object-fit: contain;
  animation: zoom 0.3s;
}

@keyframes zoom {
  from {transform: scale(0.7); opacity: 0;}
  to {transform: scale(1); opacity: 1;}
}

/* 閉じるボタン */
.close {
  position: absolute;
  top: 20px;
  right: 35px;
  color: white;
  font-size: 40px;
  cursor: pointer;
}



/*CONTACT*/
#contact {
}

#contact .contacts {
    display:flex;
    justify-content:space-between;
    padding:20px 0;
}

#contact .contacts .titles h2 {
    font-size:250%;
}

#contact .contacts .address {
    padding:0;
    display:flex;
    align-items:center;
}

#contact .contacts .address p a {
    font-size:200%;
    font-weight:bold;
    display:flex;
    align-items:center;
}

#contact .contacts .address p img {
    height:5vh;
    margin-right:10px;
}



/*BACK TO TOP*/
.BackToTop {
position:fixed;
width:50px;
height:50px;
right:15px;
bottom:15px;
z-index:100;
display:none;
}



/*FOOTER*/
footer {
padding:30px 0;
}

footer .info {
    text-align:center;
    padding-bottom:30px;
}

footer .info .logo {
    width:180px;
    margin:0 auto 10px;
}

footer .copyright {
    font-size:60%;
    text-align:center;
    color:#000;
}








}